// Copyright 2010 Google Inc. All Rights Reserved.
// Author: jacobsa@google.com (Aaron Jacobs)
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * Log a message to somewhere convenient for the current method of running tests
 * (e.g. console output or the browser's console). An implicit newline is added
 * to the end of the message.
 *
 * @param {!string} message
 */
gjstest.log = function(message) {
  // Simply redirect to the run-time implementation.
  gjstest.internal.currentTestEnvironment.log(message);
};
